rte_eth_fc_conf(3)

NAME
rte_eth_fc_conf

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint32_t high_water
uint32_t low_water
uint16_t pause_time
uint16_t send_xon
enum rte_eth_fc_mode mode
uint8_t mac_ctrl_frame_fwd
uint8_t autoneg

Detailed Description

A structure used to configure Ethernet flow control parameter. These parameters will be configured into the register of the NIC. Please refer to the corresponding data sheet for proper value.

Definition at line 1408 of file rte_ethdev.h.

Field Documentation

  uint32_t high_water
High threshold value to trigger XOFF

Definition at line 1409 of file rte_ethdev.h.

  uint32_t low_water
Low threshold value to trigger XON

Definition at line 1410 of file rte_ethdev.h.

  uint16_t pause_time
Pause quota in the Pause frame

Definition at line 1411 of file rte_ethdev.h.

  uint16_t send_xon
Is XON frame need be sent

Definition at line 1412 of file rte_ethdev.h.

  enum rte_eth_fc_mode mode
Link flow control mode

Definition at line 1413 of file rte_ethdev.h.

  uint8_t mac_ctrl_frame_fwd
Forward MAC control frames

Definition at line 1414 of file rte_ethdev.h.

  uint8_t autoneg
Use Pause autoneg

Definition at line 1415 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.